Bug 17722 - t/db_dependent/PatronLists.t doesn't run inside a transaction
Summary: t/db_dependent/PatronLists.t doesn't run inside a transaction
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17600
  Show dependency treegraph
 
Reported: 2016-12-05 14:11 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17722: Make PatronLists.t run inside a transaction (2.76 KB, patch)
2016-12-05 14:21 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17722: Make PatronLists.t run inside a transaction (2.82 KB, patch)
2016-12-05 19:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17722: Make PatronLists.t run inside a transaction (2.87 KB, patch)
2016-12-06 10:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-12-05 14:11:22 UTC

    
Comment 1 Tomás Cohen Arazi 2016-12-05 14:21:26 UTC
Created attachment 57968 [details] [review]
Bug 17722: Make PatronLists.t run inside a transaction

This patch makes t/db_dependent/PatronLists.t run inside a transaction.
It also makes it generate its own data using t::lib::TestBuilder instead
of relying on sample patrons on the DB.

To test:
- Run:
  $ prove t/db_dependent/PatronLists.t
=> SUCCESS: Tests pass
- Apply the patch
- Run:
  $ prove t/db_dependent/PatronLists.t
=> SUCCESS: Tests pass
- Sign off :-D
Comment 2 Josef Moravec 2016-12-05 19:48:09 UTC
Created attachment 57986 [details] [review]
[SIGNED-OFF] Bug 17722: Make PatronLists.t run inside a transaction

This patch makes t/db_dependent/PatronLists.t run inside a transaction.
It also makes it generate its own data using t::lib::TestBuilder instead
of relying on sample patrons on the DB.

To test:
- Run:
  $ prove t/db_dependent/PatronLists.t
=> SUCCESS: Tests pass
- Apply the patch
- Run:
  $ prove t/db_dependent/PatronLists.t
=> SUCCESS: Tests pass
- Sign off :-D

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2016-12-06 10:43:16 UTC
Created attachment 57997 [details] [review]
Bug 17722: Make PatronLists.t run inside a transaction

This patch makes t/db_dependent/PatronLists.t run inside a transaction.
It also makes it generate its own data using t::lib::TestBuilder instead
of relying on sample patrons on the DB.

To test:
- Run:
  $ prove t/db_dependent/PatronLists.t
=> SUCCESS: Tests pass
- Apply the patch
- Run:
  $ prove t/db_dependent/PatronLists.t
=> SUCCESS: Tests pass
- Sign off :-D

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2016-12-09 17:50:49 UTC
Pushed to master fro 17.05, thanks Tomas!
Comment 5 Katrin Fischer 2016-12-12 22:21:52 UTC
This patch has been pushed to 16.11.x, will be in 16.11.01.